com.independentsoft.msg

## Enum MeetingStatus

- java.lang.Object
- - java.lang.Enum<MeetingStatus>
  - - com.independentsoft.msg.MeetingStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeetingStatus>

      public enum MeetingStatus
      extends java.lang.Enum<MeetingStatus>

  The MeetingStatus enum specifies the status of an appointment or meeting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELED` The scheduled meeting has been cancelled.
    `CANCELED_ORGANIZER` The scheduled meeting has been cancelled but still appears on the user's calendar.
    `MEETING` The meeting has been scheduled.
    `NON_MEETING` An Appointment item without attendees has been scheduled.
    `NONE` None.
    `RECEIVED` The meeting request has been received.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeetingStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeetingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_MEETING

          public static final MeetingStatus NON_MEETING

      An Appointment item without attendees has been scheduled. This status can be used to set up holidays on a calendar.

    - #### MEETING

          public static final MeetingStatus MEETING

      The meeting has been scheduled.

    - #### RECEIVED

          public static final MeetingStatus RECEIVED

      The meeting request has been received.

    - #### CANCELED_ORGANIZER

          public static final MeetingStatus CANCELED_ORGANIZER

      The scheduled meeting has been cancelled but still appears on the user's calendar.

    - #### CANCELED

          public static final MeetingStatus CANCELED

      The scheduled meeting has been cancelled.

    - #### NONE

          public static final MeetingStatus NONE

      None.

  - ### Method Detail

    - #### values

          public static MeetingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeetingStatus c : MeetingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeetingStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null